Subject: bug#38807: [Feature request]: Support lisp workers like web workers.

From: HaiJun Zhang <[email-masked]>
Date: Wed, 1 Jan 2020 11:06:24 +0800

在 2019年12月30日 +0800 PM11:40，Dmitry Gutov <[email-masked]>，写道：
> On 30.12.2019 17:23, Eli Zaretskii wrote:
> > We have threads in Emacs, so you could start by using them, no?
>
> The main point of Web Workers is that they run in parallel to the main
> thread.
>
> So the bit about not being able to access "data in the UI thread" is
> about no need for synchronization, I suppose.

Yes. That is what I mean. They can do heavy work without pausing user input.